./www/p5-CGI, Perl5 module for writing forms-based CGI programs

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 4.36nb1, Package name: p5-CGI-4.36nb1, Maintainer: pkgsrc-users

This perl library uses perl5 objects to make it easy to create Web
fill-out forms and parse their contents. This package defines CGI
objects, entities that contain the values of the current query string
and other state variables. Using a CGI object's methods, you can
examine keywords and parameters passed to your script, and create
forms whose initial values are taken from the current query (thereby
preserving state information). The module provides shortcut functions
that produce boilerplate HTML, reducing typing and coding errors. It
also provides functionality for some of the more advanced features of
CGI scripting, including support for file uploads, cookies, cascading
style sheets, server push, and frames.

CGI.pm also provides a simple function-oriented programming style for
those who don't need its object-oriented features.


Required to run:
[www/p5-HTML-Parser] [lang/perl5]

Required to build:
[devel/p5-Test-NoWarnings] [devel/p5-Test-Deep] [devel/p5-Test-Warn] [pkgtools/cwrappers]

Master sites: (Expand)

SHA1: e12c246e3908d8c5dfea188f5ec13d577e35af2b
RMD160: 9af3447920801812bef725bd987a950ceb49ddc0
Filesize: 194.361 KB

Version history: (Expand)


CVS history: (Expand)


   2017-06-05 16:25:36 by Ryo ONODERA | Files touched by this commit (2298)
Log message:
Recursive revbump from lang/perl5 5.26.0
   2017-04-19 15:40:51 by Thomas Klausner | Files touched by this commit (2) | Package updated
Log message:
Updated p5-CGI to 4.36.

4.36 2017-03-29

    [ ENHANCEMENT ]
    - Support PATCH HTTP method (thanks to GovtGeek for the... patch)
    - pass through max_age and samesite to CGI::Cookie->new in the call
      in CGI->cookie (GH #220)

    [ FIX ]
    - skip t/command_line.t on windows as it doesn't work
   2016-10-18 10:20:57 by Thomas Klausner | Files touched by this commit (2) | Package updated
Log message:
Updated p5-CGI to 4.35.

4.35 2016-10-13

    [ FIX ]
    - revert changes from 4.34 as they broke stuff

4.34 2016-10-13

    [ ENHANCEMENT ]
    - If running from the command line, url_param now picks up
      parameters given on then command line or on stdin (GH #210)

    [ DOCUMENTATION ]
    - documentation for above addition
   2016-09-17 04:59:19 by Makoto Fujiwara | Files touched by this commit (2) | Package updated
Log message:
Updated www/p5-CGI to 4.33
---------------------------
4.33 2016-09-16
    [ DOCUMENTATION ]
    - clarify that ->param will return the first value if there are
      multiple values (when not called in list context)
   2016-07-21 14:25:59 by Thomas Klausner | Files touched by this commit (2) | Package updated
Log message:
Updated p5-CGI to 4.32.

4.32 2016-07-19

    [ DOCUMENTATION ]
    - make perldoc CGI object consistent (GH #205)
    - clarify reason for absolute URLs (GH #206)

    [ INTERNALS ]
    - tweak dependency defs in Makefile.PL (GH #207, GH #208)
    - (thanks to karenetheridge and kentfredric)
   2016-06-15 09:38:01 by Thomas Klausner | Files touched by this commit (2) | Package updated
Log message:
Updated p5-CGI to 4.31.

4.31 2016-06-14

    [ FEATURES ]
    - Add SameSite support to Cookie handling (thanks to pangyre)

    [ INTERNALS ]
    - The MultipartBuffer package has been renamed to CGI::MultipartBuffer.
      This has been done in a way to ensure any $MultipartBuffer package
      variables are still set correctly in CGI::MultipartBuffer. if you are
      explicitly using MultipartBuffer in a form such as:

        MultipartBuffer->new

      your code will break. you should be calling:

        CGI->new->new_MultipartBuffer( $boundary,$length );

      to ensure the correctly package is called. if you are extending the
      MultipartBuffer package though use of ISA or base (or parent) then you
      will need to update your code to use CGI::MultipartBuffer

    - fake using strict and warnings to appease CPANTS Kwalitee

    - require File::Temp v0.17+ to get seekable file handles (GH #204)
   2016-06-12 10:00:38 by Thomas Klausner | Files touched by this commit (2) | Package updated
Log message:
Updated p5-CGI to 4.30.

4.30 2016-06-08

    [ FEATURES ]
    - Add SameSite support to Cookie handling (thanks to pangyre)

    [ INTERNALS ]
    - The MultipartBuffer package has been renamed to CGI::MultipartBuffer.
      This has been done in a way to ensure any $MultipartBuffer package
      variables are still set correctly in CGI::MultipartBuffer. if you are
      explicitly using MultipartBuffer in a form such as:

        MultipartBuffer->new

      your code will break. you should be calling:

        CGI->new->new_MultipartBuffer( $boundary,$length );

      to ensure the correctly package is called. if you are extending the
      MultipartBuffer package though use of ISA or base (or parent) then you
      will need to update your code to use CGI::MultipartBuffer

    - fake using strict and warnings to appease CPANTS Kwalitee
   2016-06-08 21:25:20 by Thomas Klausner | Files touched by this commit (2236) | Package updated
Log message:
Bump PKGREVISION for perl-5.24.